This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 796078 - [glusterfs-3.3.0qa23]: gluster volume status <volname> inode should displaywhat type of inode it is instead of number
[glusterfs-3.3.0qa23]: gluster volume status <volname> inode should displaywh...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-22 04:05 EST by Raghavendra Bhat
Modified: 2013-07-24 13:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa40
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-02-22 04:05:57 EST
Description of problem:

gluster volume status <volname> inode prints the information about the inode table of the brick processes by printing the active and lru inode list of the table which contains the gfid, number of lookups, the refcount and type on each inode in the list.

It would be better if the type is printed in more informative way instead of numbers (such as entire type or some letters indicating what type of file may be 'R' for Regular file, 'D' for directory etc).
 
Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. create a volume and start it
2. mount the client and run some tests so that the inode table gets populated
3. do gluster volume status <volname> inode
  
Actual results:

Active inodes:
GFID                                            Lookups            Ref   IA type
----                                            -------            ---   -------
a64f405d-9e55-412d-846f-e264a5c7d644                  1              2         1
aef93304-5256-4aec-8400-4e361fc5ff4b                  1              2         1
f6a3fac9-a085-477a-a256-3d60afeb69c8                  1              2         1
991efa42-98ef-4cb8-a465-fc826783c915                  1              2         1
933aa9a0-4670-4671-b1bb-e657c7075696                  1              2         1
6f801ec5-30bd-47a9-a798-a04a3c44856c                  1              2         1
ea3911e9-f4c2-46af-a256-cfdd37318688                  1              1         1
f849e214-ebc1-4fea-9277-d7d8a3685be6                  1              2         1
edeb5808-d64f-4431-9059-dd59a7557d71                  1              1         1
9e7ff8d8-0973-4bc7-8c1d-b4a01187394b                  1              1         1
01b4eb6f-7be5-4b99-a13c-6ca57c2bdf5c                  1              2         1
ed19d1ff-d284-4e13-aee9-30cd971d69fe                  1              1         1
8a4e390b-8df1-462e-a28d-ec28b7f6d07c                  1              2         1
79523623-d01d-450f-bcfa-db058462f1e4                  1              1         1
1994264c-3cb8-4282-9d02-4a08f3976d22                  1              2         1
bd5efe14-b313-4653-953e-2269e4ba8363                  1              2         1
3c3a6c42-332e-475f-9c2a-b67ee943a4a2                  1              1         1
462694dc-4f3a-4f98-bc03-89b24f91470e                  1           1041         2
0c0f2c4c-f4ae-447b-919a-8ca57210ddb1                745              1         2
45a4a7c3-f727-45db-932e-230c6ff80a79                  0              1         1
5c3467ce-df51-4d64-9ebd-d6cc08c1527b                  0              2         1
72fd1501-70ec-42f6-8117-16587ae9d364                  0              2         1
a04c542d-d795-42df-92cc-8c85020b96c4                  0              2         1
9d8106ad-2de6-476d-8631-5d58da05466b                  0              2         1
ff98a9dd-24c8-48d4-8305-4132ba1199bb                  0              1         1
799bc364-446e-4e71-8d04-6c1bb78b7267                  0              2         1
7db02428-e923-4395-8af3-48d2e0e3516e                  0              1         1
f7d56270-2224-4ccb-8e49-43e393f916f3                  0              2         1
9af3d023-a989-41bb-9a1a-86eb1b4d40cb                  0              2         1
Expected results:

The last field (IA type) should be more informative instead of numbers.

Additional info:
Comment 1 Anand Avati 2012-02-22 12:42:32 EST
CHANGE: http://review.gluster.com/2794 (cli: print the type of the inode in gluster volume status inode output) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-05-08 09:33:55 EDT
Checked with glusterfs-3.3.0qa40. Now gluster volume status <volname> inode command displays the type of the inode by displaying letters indicating the following.

R -----> Regular file
D -----> Directory
L -----> symbolic Link
B -----> Block special device
C -----> Character special device
F -----> FIFO
S -----> Socket
I -----> Invalid inode type



6e9dd602-b539-496e-bf90-39c0dba31088                  0              2         D
2de3b07b-b792-4e92-888e-dcb14d2aa0d0                  0              2         D
99b778b1-4337-478e-b09f-90e82e42212d                  0              2         D
43b12f87-ac2f-4a5d-ade7-b3718ac96a3e                  0              2         D
10467a7d-e38c-45f8-8c50-f5370e2f0277                  0              2         D
7b7a350e-3e3a-4daf-bf08-79aa6ff774cc                  0              2         D
06061428-c05a-4f4a-860c-10b8fd381bca                  0              2         D
dbf97dce-2186-4258-8033-aed300e9978c                  0              2         D
71aded8c-445d-4fcb-8370-c8ddb85d7d5b                  0              2         D
b569d4e8-cd13-45ad-9179-b3277defde3c                  0              2         D
60e6290c-84a5-46a1-abf9-467ca4f348a3                  0              2         D
fced0d01-ff3e-4472-ade4-ff71ad0b126f                  0              2         D
156e94b9-5d0f-4ed9-b795-eab2b5826269                  0              2         D
285ba09d-a5fc-4196-a949-2b80419652f4                  0              2         D
ec7de3b1-bdf4-44f8-8913-b0b13e611b95                  0              2         D
2f35c336-6003-4b0a-87b4-e2b7dc467713                  0              2         D
d77466e4-e81f-49bc-8d56-697396af26dc                  0              2         D
252a6e3b-9569-4c0e-ba2c-78bd0ac96842                  0              2         D
65e2083b-0890-46a0-bc1b-1bd6063f60d0                  0              2         D
27161db7-2ece-48c2-8e91-5beeef398daf                  0              2         D
d9140f10-4be4-4b7d-84fc-d68a7e0d8958                  0              2         D
924f2c4a-0f77-4ac4-a7b6-2e261c9bf655                  0              2         D
beaa2731-4aa0-4858-a002-e5d2bd78233e                  0              2         D
244aff4c-d4c9-4232-b8be-37212d268ba3                  0              2         D
72533099-5bd5-4752-abfb-73fc1e36c344                  0              2         D
6c62c3c9-fa91-4726-8b8f-685d7d803ace                  0              2         D
a46d84b3-327e-4fa8-91b1-381c997d4803                  0              2         D
2ed07410-4335-49c4-b1ef-9ebede7f0c6f                  0              2         D
e7ed6fa0-b967-4aec-913d-8864b7ff791a                  0              2         D
18ac9c9f-1a8c-4888-ac89-be1b1fc72132                  0              2         D
da4ce516-1097-4873-890c-b3e060cb2646                  0              2         D
18dc17f2-000c-444d-b52c-44507f940670                  0              2         D
7af06af0-5347-479c-ba51-e2b316d3f526                  0              2         D
4d20f555-4752-45f9-b82d-d590dbb4d231                  0              2         D
74d044a6-cb6e-4b6c-b11f-26f0df415336                  0              2         D
1d467e1c-62e3-42de-8fb6-aac88828e26e                  0              2         D
7be32825-f299-4e89-8b37-cbe1a6ad103f                  0              2         D
bc3e4b78-c776-4ef0-9443-3706eac1fb5d                  0              2         D
afdc0723-df02-49c0-9525-e36f6cd6473e                  0              2         D
13b4d421-c5a8-4645-99fa-395d2b40c009                  0              2         D

Note You need to log in before you can comment on or make changes to this bug.